Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27905)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27906)
@@ -609,5 +609,5 @@
 <Content>
 <NumberedItem>
-<Text id="0338aa">Using your Windows file browser, locate the folder <MajorVersion number="2"><Path>sample_files &rarr; images &rarr; image2</Path>. Copy this entire folder into your <Path>Greenstone &rarr; collect</Path> folder.</MajorVersion><MajorVersion number="3"><Path>sample_files &rarr; images &rarr; image3</Path>. Copy this entire folder into your <Path>Greenstone &rarr; web &rarr; sites &rarr; localsite &rarr; collect</Path> folder.</MajorVersion></Text>
+<Text id="0338aa">Using your Windows file browser, locate the folder <Path>sample_files &rarr; images &rarr; image-e</Path>. Copy this entire folder into your <MajorVersion number="2"><Path>Greenstone &rarr; collect</Path> folder.</MajorVersion><MajorVersion number="3"><Path>Greenstone &rarr; web &rarr; sites &rarr; localsite &rarr; collect</Path> folder.</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>
@@ -1160,5 +1160,4 @@
 <Text id="pdfbox-ext-11">Now that you've installed the PDFBox extension, this will be available as an option in the plugin's configuration dialog. To turn on the PDFBox extension, go to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Plugins"/> from the left, and on the right double click the <AutoText text="PDFPlugin"/> (alternatively, select this plugin and click the <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/> below) to open the dialog to configure this plugin. In the <AutoText key="glidict::CDM.PlugInManager.Configure"/> dialog, scroll down to the section <AutoText text="AutoLoadConverters"/> and select the checkbox next to the <AutoText text="pdfbox_conversion"/> option. Click <AutoText key="glidict::General.OK"/> to close the dialog, switch to the <AutoText key="glidict::GUI.Create"/> panel and rebuild your collection. This time, PDF files will be processed by PDFBox which will extract their text.</Text>
 <Text id="pdfbox-ext-12">Try this feature out on a collection of recent PDF files, by configuring its PDFPlugin with the <AutoText text="pdfbox_conversion"/> option turned on.</Text>
-<Text id="pdfbox-ext-12">You can also experiment by configuring the PDFPlugin used in the <b>Reports</b> collection, although that one contains old PDF versions which the default settings of <AutoText text="PDFPlugin"/> can already process successfully. If you do decide to test out the PDFBox extension with the <b>Reports</b> collection, then rebuild it and preview it. However, once you've inspected the results, you may wish to go back to the <AutoText key="glidict::GUI.Design"/> panel and turn off <AutoText text="pdfbox_conversion"/> and rebuild the collection once more, so that it's back to its original state and ready for future tutorials.</Text>
 </NumberedItem>
 </Content>
@@ -1203,5 +1202,5 @@
 <MajorVersion number="3">Note that these are now split into a series of pages, and two means of jumping between various pages is provided: on the left, individual pages are listed vertically by page number and clicking the "plus" box next to a page will expand its contents, while on the right there's a box with a horizontal scroller which can be used to scroll to the page you wish to view.
 </MajorVersion>
-The format is still a bit ugly though, and pdf05-notext.pdf is still not processed.</Text>
+<MajorVersion number="2">The format is still a bit ugly though, and</MajorVersion><MajorVersion number="3">Note that</MajorVersion> pdf05-notext.pdf is still not processed.</Text>
 </NumberedItem>
 <Heading>
@@ -1805,5 +1804,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0463">Switch to the <AutoText key="glidict::GUI.Create"/> panel and view the options that are displayed in the top portion of the screen. Select <AutoText text="maxdocs"/> and set its numeric counter to <AutoText text="3"/>. Now <b>build</b>.</Text>
+<Text id="0463">Switch to the <AutoText key="glidict::GUI.Create"/> panel, choose <AutoText text="Import Options"/> and view the options that are displayed in the top portion of the screen. Select <AutoText text="maxdocs"/> and set its numeric counter to <AutoText text="3"/>. Now <b>build</b>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1842,5 +1841,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0473b">This format appears in the search results list, in the <AutoText key="gs3::metadata_names::Title.buttonname" /> list, and also when you get down to individual documents in the <AutoText key="gs3::metadata_names::Subjects.buttonname" /> hierarchy. This is Greenstone's default format statement used in the <AutoText text="browse"/> and <AutoText text="search"/> format features.</Text>
+<Text id="0473b">This format appears in the <AutoText key="gs3::metadata_names::Title.buttonname" /> list and also when you get down to individual documents in the <AutoText key="gs3::metadata_names::Subjects.buttonname" /> hierarchy. This is Greenstone's default format statement used in the <AutoText text="browse"/> format features.</Text>
 </MajorVersion>
 </NumberedItem>
@@ -1866,15 +1865,14 @@
     <Tab n="1"/>&lt;/td&gt;<br/>
     <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-      <Tab n="2"/>&lt;br/&gt;<br/>
-      <Tab n="2"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+        <Tab n="3"/>&lt;br/&gt;<br/>
+        <Tab n="3"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
     <Tab n="1"/>&lt;/td&gt;<br/>
   &lt;/gsf:template&gt;
 </MajorVersion>
 </Format>
-<MajorVersion number="3">
-<Text id="0475-3a">Replace the <AutoText text="search"/> format feature with the above format statement too.</Text>
-</MajorVersion>
-<Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect immediately). Look at some search results and at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list. They are just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
+<Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect immediately). Look <MajorVersion number="2">at some search results and </MajorVersion>at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list. <MajorVersion number="2">They are</MajorVersion><MajorVersion number="3">It is</MajorVersion> just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
 <MajorVersion number="3">
 <Text id="0476-3">We can also reduce the <AutoText text="VList classifierNode"/> template of the <AutoText text="browse"/> format feature further, also without changing the display. Replace it with:</Text>
@@ -1949,5 +1947,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0486"><b>Preview</b> the <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subjects.buttonname" /></MajorVersion> list in the collection. <MajorVersion number="2">First, the offending "()" has disappeared from the bookshelves. Second, when</MajorVersion><MajorVersion number="3">When</MajorVersion> you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText key="metadata::ex.Source"/> is not specified in the format statement and this format statement applies to all nodes in the <i>subject</i> classifier. Note that the search results and titles lists have not changed: they still display the filename underneath the title.</Text>
+<Text id="0486"><b>Preview</b> the <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subjects.buttonname" /></MajorVersion> list in the collection. <MajorVersion number="2">First, the offending "()" has disappeared from the bookshelves. Second, when</MajorVersion><MajorVersion number="3">When</MajorVersion> you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText key="metadata::ex.Source"/> is not specified in the format statement and this format statement applies to all nodes in the <i>subject</i> classifier. <MajorVersion number="2">Note that the search results and titles lists have not changed: they still display the filename underneath the title.</MajorVersion><MajorVersion number="3">Note that the titles list has not changed: it still displays the filename underneath the title.</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>
@@ -1956,7 +1954,8 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0487-3">Select the <AutoText text="search"/> format feature once more for some further editing. Replace the line:</Text>
-</MajorVersion>
-<MajorVersion number="2">
+<Text id="0487-3">Select the <AutoText text="search"/> format feature for some editing. </Text>
+</MajorVersion>
+<MajorVersion number="2">
+<Text id="0487-3-a">Replace the line:</Text>
 <Format>
 &lt;td&gt;[link][icon][/link]&lt;/td&gt;<br/>
@@ -1967,10 +1966,7 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Format>
-  &lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br/>
-</Format>
-<Text id="ep-16">with</Text>
-<Format>
-  &lt;gsf:metadata name=&quot;dc.Subject&quot;/&gt;<br/>
+<Text id="0487-3-b">After the final <Format>&lt;/gsf:link&gt;</Format>, add the line:</Text>
+<Format>
+  &lt;br /&gt;&lt;gsf:metadata name=&quot;dc.Subject&quot;/&gt;<br/>
 </Format> 
 </MajorVersion>
@@ -4682,5 +4678,5 @@
 <Text id="indexers-1">Building and searching with different indexers</Text>
 </Title>
-<SampleFiles folder="demo"/>
+<MajorVersion number="2"><SampleFiles folder="demo"/></MajorVersion>
 <Version initial="2.70w" current="2.86|3.05"/>
 <Content>
@@ -4697,7 +4693,9 @@
 <NumberedItem>
 <Text id="indexers-8">In the <AutoText key="glidict::GUI.Gather"/> panel, click <AutoText key="glidict::Tree.World"/> and click <MajorVersion number="2"><b>Greenstone demo (demo)</b></MajorVersion><MajorVersion number="3"><Path>localsite &rarr; Demo Collection (lucene-jdbm-demo)</Path></MajorVersion>, it will show the documents in the <b>Greenstone demo</b> collection. Drag all 11 folders in the demo folder into the new collection.</Text>
-<Comment>
-<Text id="demo-collection">If you haven't installed the <MajorVersion number="2"><b>Greenstone demo (demo)</b></MajorVersion><MajorVersion number="3"><b>Demo Collection (lucene-jdbm-demo)</b></MajorVersion> collection yet, you can download the <Path>demo.zip</Path> file from the link above, unzip it and put it into the <Path>collect</Path> folder in your Greenstone installation.</Text>
-</Comment>
+<MajorVersion number="2">
+<Comment>
+<Text id="demo-collection">If you haven't installed the <b>Greenstone demo (demo)</b> collection yet, you can download the <Path>demo.zip</Path> file from the link above, unzip it and put it into the <Path>collect</Path> folder in your Greenstone installation.</Text>
+</Comment>
+</MajorVersion>
 </NumberedItem>
 <NumberedItem>
@@ -4721,5 +4719,5 @@
 </Heading>
 <NumberedItem>
-<Text id="indexers-15">Lucene provides single letter and multiple letter wildcards and range searching. The query syntax could be quite complicated (for more information please see <Link>http://lucene.apache.org/java/docs/queryparsersyntax.html</Link>. Here we will learn how to use the wildcards while constructing queries.</Text>
+<Text id="indexers-15">Lucene provides single letter and multiple letter wildcards and range searching. The query syntax could be quite complicated (for more information please see <Link>http://lucene.apache.org/java/docs/queryparsersyntax.html</Link>). Here we will learn how to use the wildcards while constructing queries.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4779,5 +4777,5 @@
 <NumberedItem>
 <Text id="indexers-26-3">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with MGPP indexer is set to <AutoText text="whole word must match"/> and <AutoText text="upper/lower case must match"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> will return 0 documents, whereas searching for <i>FAO</i> will return 89 word counts and 11 matched documents.</Text>
-<Text id="indexers-26a-3">Go to the <AutoText text="advanced search"/> page by clicking the <AutoText text="advanced search"/> button at the top right corner. You can see that <b>stem</b> is off, which means the <b>word endings</b> option is set to <AutoText text="whole word must match"/>. And <b>case</b> (folding) is off too, which means the <b>case difference</b> option is set to <AutoText text="upper/lower case must match"/>.</Text>
+<Text id="indexers-26a-3">Go to the <AutoText text="text search"/> page by clicking the <AutoText text="text search"/> button at the top right corner. You can see that <b>stem</b> is off, which means the <b>word endings</b> option is set to <AutoText text="whole word must match"/>. And <b>case</b> (folding) is off too, which means the <b>case difference</b> option is set to <AutoText text="upper/lower case must match"/>.</Text>
 </NumberedItem>
 <NumberedItem>