Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27935)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27936)
@@ -743,8 +743,52 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Set the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
+<Text id="0386a">To change the text that is displayed for the index<MajorVersion number="2"> (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>)</MajorVersion><MajorVersion number="3"> (<AutoText text="Descriptions" type="italics"/>)</MajorVersion>, go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. <MajorVersion number="2">Change</MajorVersion><MajorVersion number="3">Set</MajorVersion> the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
 <Comment>
 <Text id="0386b">Note that if you use text instead of macros in the search metadata display text, you will need to do any translations yourself.</Text>
 </Comment>
+</NumberedItem>
+</Content>
+</Tutorial>
+<Tutorial id="images_gps">
+<Title>
+<Text id="images-gps-0">An image collection with GPS metadata</Text>
+</Title>
+<SampleFiles folder="images_gps"/>
+<Prerequisite id="simple_image_collection"/>
+<Version initial="2.86" current="2.86|3.06"/>
+<Content>
+<Comment>
+<Text id="images-gps-0">In this tutorial, we'll be looking at a building a collection that takes advantage of the location metadata embedded in the image files to present the spatial features meaningfully.</Text>
+</Comment>
+<NumberedItem>
+<Text id="images-gps-1">Create a new collection in GLI called <i>Images-GPS</i>. In the <b>Gather</b> panel, drag and drop the 4 folders in <Path>sample_files &rarr; images_gps</Path> from the file system view on the left into your collection view on the right.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-2">In the <b>Document Plugins</b> section of the <b>Design</b> panel, go down to the <b>select plugin to add</b> and choose the EmbeddedMetadataPlugin. Press the <b>Add Plugin</b> button to add it to the plugin list. Select this plugin in the list, then use the <b>Move Up</b> button to shift it upwards until it comes just after the GreenstoneXMLPlugin.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-3">Now go to the <b>Create</b> panel and press <b>Build Collection</b>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-4">If you were to preview it at this stage, it would just be a simple image collection. However, as these images contain GPS metadata embedded into them, building the collection the first time would have extracted this. We can use this extracted location metadata to display the location data in these images more meaningfully. Move to the <b>Enrich</b> pane, expand a folder, select an image and scroll through its extracted metadata to find several pieces of metadata specifying Latitude and Longitude information: ex.LatShort, ex.Latitude, ex.LngShort and ex.Longitude.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-5">First though, since the images are organised by folder, we can easily assign <i>folder-level</i> metadata to the images which will help with classifying them. Still in the <b>Enrich</b> tab, select the eiffel-tower folder, and in its <b>dc.Title</b> field type <i>Eiffel Tower</i>. Since this metadata is assigned at folder level, it is inherited as <b>dc.Title</b> metadata by all the images in the folder. Now select each of the remaining folders in turn, and assign the appropriate values for their <b>dc.Title</b>: <i>MusÃ©e d'Orsay</i>, <i>Parc de Luxembourg</i> and <i>PanthÃ©on district</i>.</Text> 
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-6">Shift over to the <b>Design</b> panel, select <b>Search Indexes</b> on the left and press the <b>New Index</b> button on the right. Scroll down to the ex.LatShort, ex.Latitude, ex.LngShort and ex.Longitude metadata and tick the boxes for all four and press <b>Add Index</b> to create an index on all these 4 pieces of metadata.</Text> 
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-7">Select <b>Browsing Classifiers</b> to the left of the <b>Design</b> tab. In the <b>select classifier to add</b> dropdown box, choose <b>AZCompactList</b> and press <b>Add Classifier</b>. In the configuration dialog that appears, set the metadata field to <b>dc.Title</b> to create a classifier that groups all images under Eiffel Tower into one bookshelf and similarly creates bookshelves for the other 3 categories.</Text> 
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-8">Greenstone has a map view that can make use of this location metadata to present the images. To enable the map, move to the <b>Format</b> panel, select <b>Format Features</b> on the left, select the format statement for the <b>browse</b> classifier. In the editor below, prefix the following format statement <i>above</i> the documentNode template:</Text>
+<Format>&lt;gsf:option name="mapEnabled" value="true" /&gt;</Format> 
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-9">Select <b>Search</b> on the right of the <b>Format</b> panel. For the index on the combined longitude and latitude metadata, type <i>location</i> as its display name.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="images-gps-10">Since we've only made changes in the Format tab, we don't need to re-build the collection to see these changes in effect. Press the <b>Preview Collection</b> button and select the browsing classifier. The page that opens up shows a Google map, with the locations of the images in the collection pinpointed on it. The map view can also scroll through all the images, locating each place and associated image in turn.</Text> 
 </NumberedItem>
 </Content>
@@ -1876,5 +1920,5 @@
 </MajorVersion>
 </Format>
-<Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect immediately). Look <MajorVersion number="2">at some search results and </MajorVersion>at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list. <MajorVersion number="2">They are</MajorVersion><MajorVersion number="3">It is</MajorVersion> just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
+<Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect <MajorVersion number="2">immediately</MajorVersion><MajorVersion number="3">when you press the <b>Preview Collection</b> button</MajorVersion>). Look <MajorVersion number="2">at some search results and </MajorVersion>at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list. <MajorVersion number="2">They are</MajorVersion><MajorVersion number="3">It is</MajorVersion> just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
 <MajorVersion number="3">
 <Text id="0476-3">We can also reduce the <AutoText text="VList classifierNode"/> template of the <AutoText text="browse"/> format feature further, also without changing the display. Replace it with:</Text>
@@ -3282,5 +3326,5 @@
       <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
 	 &lt;/td&gt;<br />
-    <highlight>&lt;td&gt;<br />
+    <highlight>&lt;td valign=&quot;top&quot;&gt;<br />
        <Tab n="1"/>(&lt;gsf:metadata name=&quot;numleafdocs&quot;/&gt;)<br />
     &lt;/td&gt;</highlight>
@@ -3302,5 +3346,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0613">To complete the collection, lets give it a new image for the top left corner of the page. Go to the <AutoText key="glidict::CDM.GUI.General"/> section of the <AutoText key="glidict::GUI.Format"/> panel. Use the browse button of <AutoText key="glidict::CDM.General.Icon_Collection"/> to select the following image:</Text>
+<Text id="0613">To complete the collection, lets give it a new image for the <MajorVersion number="2">top left corner of the page</MajorVersion><MajorVersion number="3">link from the main page</MajorVersion>. Go to the <AutoText key="glidict::CDM.GUI.General"/> section of the <AutoText key="glidict::GUI.Format"/> panel. Use the browse button of <AutoText key="glidict::CDM.General.Icon_Collection"/> to select the following image:</Text>
 <Path>sample_files &rarr; beatles &rarr; advbeat_large &rarr; images &rarr; beatlesmm.png</Path>
 <Text id="0613a"><b>Preview</b> the collection, and make sure the new image appears.</Text>
@@ -3493,4 +3537,5 @@
 <Text id="0651"><b>Preview</b> your collection as before. Now different icons are used for discography, lyrics, tablature, and MARC metadata. Even MP3 and MIDI audio file types are distinguished.<MajorVersion number="2"> If you let the mouse hover over one of these images a "tool tip" appears explaining what file type the icon represents in the current interface language (note: <Path>extra.dm</Path> only defines English and French).</MajorVersion></Text>
 </NumberedItem>
+<MajorVersion number="2">
 <Heading>
 <Text id="0652">Changing the collection's background image</Text>
@@ -3516,4 +3561,5 @@
 <Text id="0659">Other features can be altered by editing the macros&mdash;for example, the headers and footers used on each page, and the highlighting style used for search terms (specify a different colour, use bold etc.).</Text>
 </NumberedItem>
+</MajorVersion>
 <Heading>
 <Text id="0661">Building a full-size version of the collection</Text>
@@ -3647,5 +3693,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0690a"><b>Preview</b> the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list.</Text>
+<Text id="0690a"><MajorVersion number="2">Refresh in the web browser to view</MajorVersion><MajorVersion number="3"><b>Preview</b></MajorVersion> the new <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list.</Text>
 <Text id="0687c">As a consequence of using the <AutoText text="bookshelf_type"/> option of the <AutoText text="List"/> classifier, bookshelf icons appear when titles are browsed. This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf<MajorVersion number="3">, for classifier nodes</MajorVersion>. <MajorVersion number="2">It works by exploiting the fact that only bookshelf icons define <Format>[numleafdocs]</Format> metadata.</MajorVersion> For document nodes, Title is not displayed. Instead, Volume, Number and Date information are displayed.</Text>
 </NumberedItem>
@@ -4778,6 +4824,6 @@
 <MajorVersion number="3">
 <NumberedItem>
-<Text id="indexers-26-3">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with MGPP indexer is set to <AutoText text="whole word must match"/> and <AutoText text="upper/lower case must match"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> will return 0 documents, whereas searching for <i>FAO</i> will return 89 word counts and 11 matched documents.</Text>
-<Text id="indexers-26a-3">Go to the <AutoText text="text search"/> page by clicking the <AutoText text="text search"/> button at the top right corner. You can see that <b>stem</b> is off, which means the <b>word endings</b> option is set to <AutoText text="whole word must match"/>. And <b>case</b> (folding) is off too, which means the <b>case difference</b> option is set to <AutoText text="upper/lower case must match"/>.</Text>
+<Text id="indexers-26-3">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with MGPP indexer is set to <AutoText text="whole word must match"/> and <AutoText text="ignore case differences"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> and <i>FAO</i> return the same result &mdash; 89 word counts and 11 matched documents.</Text>
+<Text id="indexers-26a-3">Go to the <AutoText text="text search"/> page by clicking the <AutoText text="text search"/> button at the top right corner. You can see that <b>stem</b> is off, which means the <b>word endings</b> option is set to <AutoText text="whole word must match"/>. And <b>case</b> (folding) is set to <AutoText text="ignore case differences"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4787,7 +4833,23 @@
 </NumberedItem>
 <NumberedItem>
+<Text id="indexers-28-3">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. In the <AutoText text="advanced search form"/> page, switch <AutoText text="case"/> folding to <AutoText text="off"/> (<AutoText text="upper/lower case must match"/>). Now try searching for <i>fao</i> and <i>FAO</i> respectively. Notice the search results are different this time, with <i>fao</i> not returning any results.</Text>
+</NumberedItem>
+</MajorVersion>
+<!-- 
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="indexers-26-3">MGPP supports stemming, casefolding and accentfolding. By default, searching in collections built with MGPP indexer is set to <AutoText text="whole word must match"/> and <AutoText text="upper/lower case must match"/>. So searching <i>econom</i> will return 0 documents. Searching for <i>fao</i> will return 0 documents, whereas searching for <i>FAO</i> will return 89 word counts and 11 matched documents.</Text>
+<Text id="indexers-26a-3">Go to the <AutoText text="text search"/> page by clicking the <AutoText text="text search"/> button at the top right corner. You can see that <b>stem</b> is off, which means the <b>word endings</b> option is set to <AutoText text="whole word must match"/>. And <b>case</b> (folding) is off too, which means the <b>case difference</b> option is set to <AutoText text="upper/lower case must match"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="indexers-27-3">Sometimes we may want to ignore word endings while searching so as to match different variations of the term. Change the <AutoText text="stem"/> option from <AutoText text="off"/> to <AutoText text="on"/>. This will change the search settings from the default, which is that the <AutoText text="whole word must match"/>, to <AutoText text="ignore word endings"/>. Now try searching for <i>econom</i> again, 9 documents are found.</Text>
+<Text id="indexers-27a-3">Please note that word endings are determined according to the third-party stemming tables incorporated in Greenstone, not by the user. Thus the searches may not do precisely what is expected, especially when cultural variations or dialects are concerned. In addition, not all languages support stemming; only English and French have stemming at the moment.</Text>
+<Text id="indexers-27b-3">Change the <AutoText text="stem"/> option back to <AutoText text="off"/> (<AutoText text="whole word must match"/>) to avoid confusion later on.</Text>
+</NumberedItem>
+<NumberedItem>
 <Text id="indexers-28-3">Sometimes we may want to search for the exact term, that is, differentiate the upper cases from lower cases. In the <AutoText text="advanced search form"/> page, the default settings already insist that upper/lower case must match (case folding is off). If you want to ignore case when searching, switch <AutoText text="case"/> folding to <AutoText text="on"/> (<AutoText text="ignore case differences"/>). Now try searching for <i>fao</i> and <i>FAO</i> respectively. Notice the search results are the same for both this time.</Text>
 </NumberedItem>
 </MajorVersion>
+-->
 <Heading>
 <Text id="indexers-29">Use search mode hotkeys with query term</Text>
@@ -4804,8 +4866,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mgpp-5">Hotkeys <b>#i</b> and <b>#c</b> control the case sensitivity. Appending <b>#i</b> to a query term will explicitly set the search to <MajorVersion number="2"><AutoText key="coredm::_preferences:textignorecase_"/> (i.e. case insensitive).</MajorVersion><MajorVersion number="3"><AutoText text="ignore case differences"/> (i.e. case insensitive). For example, search for <i>fao#i</i> returns 11 documents.</MajorVersion></Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="mgpp-6">In contrast, appending <b>#c</b> will specifically turn off the casefolding, that is, <MajorVersion number="3"><AutoText text="upper/lower case must match"/>.</MajorVersion><MajorVersion number="2"><AutoText key="coredm::_preferences:textmatchcase_"/>. For example, search for <i>fao#c</i> returns 0 documents.</MajorVersion></Text>
+<Text id="mgpp-5">Hotkeys <b>#i</b> and <b>#c</b> control the case sensitivity. Appending <b>#i</b> to a query term will explicitly set the search to <MajorVersion number="2"><AutoText key="coredm::_preferences:textignorecase_"/> (i.e. case insensitive).</MajorVersion><MajorVersion number="3"><AutoText text="ignore case differences"/> (i.e. case insensitive). For example, a search for <i>fao#i</i> returns 11 documents.</MajorVersion></Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="mgpp-6">In contrast, appending <b>#c</b> will specifically turn off the casefolding, that is, <MajorVersion number="3"><AutoText text="upper/lower case must match"/>.</MajorVersion><MajorVersion number="2"><AutoText key="coredm::_preferences:textmatchcase_"/>. For example, searching for <i>fao#c</i> returns 0 documents.</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>