Index: main/trunk/greenstone3/ext/extension_project_list.xml
===================================================================
--- main/trunk/greenstone3/ext/extension_project_list.xml	(revision 23582)
+++ main/trunk/greenstone3/ext/extension_project_list.xml	(revision 27942)
@@ -1,90 +1,102 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <extensionList baseURL="http://svn.greenstone.org/gs3-extensions/">
-  <extension>
-    <name>Metadata Quality Tool</name>
-    <group>Java / Web</group> 
-    <fileStem>mat</fileStem>
-    <description>The quality of metadata in a digital library is an important factor in ensuring access for end-users.  As collections grow in size maintaining quality through manual methods becomes increasingly difficult for repository managers. The tool is built as an extension to the Greenstone3 digital library software.
+	<extension>
+		<name>Metadata Quality Tool</name>
+		<group>Java / Web</group> 
+		<fileStem>mat</fileStem>
+		<description>The quality of metadata in a digital library is an important factor in ensuring access for end-users.  As collections grow in size maintaining quality through manual methods becomes increasingly difficult for repository managers. The tool is built as an extension to the Greenstone3 digital library software.
 
 This extension requires Java Development Kit (JDK) 1.4 or higher. If you do do have JDK installed on your computer, you can download it from Sun (http://java.sun.com/). 
-      
+
 How to download Greenstone extension behind a HTTP proxy?
 By default SVNKit uses proxy settings from the servers configuration file that is located in the default SVN run-time configuration area. Default configuration area is located at ~/.subversion on Linux and OS X and at C:\Documents and Settings\userName\Application Data\Subversion on Windows. You may read more on Subversion client configuration files at Subversion Book (from http://svnkit.com/kb/user-guide-config-settings.html).
-      
+
 This extension uses the JFreecChart to generate visualisation. JFreeChart is a free (LGPL) chart library for the Java(tm) platform. You can read more on JFreechart website (http://www.jfree.org/jfreechart/). 
-      
+
 If you cannot launch Metadata Analysis Tool, please remove the gs2mgdemo from "root/web/sites/localsite/collect". The root is Greenstone3 directory.
-    </description>
-    <sequenceList>
-      <step id="installOptions" action="properties" label="Install options" dependsOn="AUTOMATIC_DOWNLOAD">
-        <optionList id="Mat" label="Mat options">
-          <option id="User_Name" label="User name"/>
-          <option id="Password" label="Password"/>
-          <option id="Tomcat_Port" label="Tomcat port"/>
-          <option id="JVM_Version" label="Java Virtual Machine version"/>
-        </optionList>
-      </step>
-      
-      <step id="install" action="button" label="Install" dependsOn="installOptions">
-        <command>
-          <os name="default">ant compile</os>
-        </command>
-      </step>
+		</description>
+		<sequenceList>
+			<step id="installOptions" action="properties" label="Install options" dependsOn="AUTOMATIC_DOWNLOAD">
+				<optionList id="Mat" label="Mat options">
+					<option id="User_Name" label="User name"/>
+					<option id="Password" label="Password"/>
+					<option id="Tomcat_Port" label="Tomcat port"/>
+					<option id="JVM_Version" label="Java Virtual Machine version"/>
+				</optionList>
+			</step>
 
-      <step id="controlPanel" action="panel" label="Control Panel" dependsOn="install">
-        <class>org.greenstone.admin.guiext.mat.ControlPanel</class>
-      </step>
+			<step id="install" action="button" label="Install" dependsOn="installOptions">
+				<command>
+					<os name="default">ant compile</os>
+				</command>
+			</step>
 
-      <step id="uninstall" action="button" label="Uninstall" dependsOn="install" rollbackTo="install">
-        <command>
-          <os name="default">ant clean</os>
-        </command>
-      </step>
-    </sequenceList>
-  </extension>
+			<step id="controlPanel" action="panel" label="Control Panel" dependsOn="install">
+				<class>org.greenstone.admin.guiext.mat.ControlPanel</class>
+			</step>
 
-  <extension>
-    <name>EKit HTML Editor</name>
-    <group>Java / Web</group>
-    <fileStem>ekit</fileStem>
-    <description>An HTML editor for GLI</description>
-    <sequenceList>
-      <step id="run" action="button" label="Run EKit" dependsOn="AUTOMATIC_DOWNLOAD">
-        <command>
-          <os name="default">java -jar ekit.jar</os>
-        </command>
-      </step>
-      
-      <step id="assoc" action="button" label="Setup EKit for GLI" dependsOn="AUTOMATIC_DOWNLOAD">
-        <command>
-          <os name="default">java -jar GLIAssociate.jar</os>
-        </command>
-      </step>
-    </sequenceList>
-  </extension>
+			<step id="uninstall" action="button" label="Uninstall" dependsOn="install" rollbackTo="install">
+				<command>
+					<os name="default">ant clean</os>
+				</command>
+			</step>
+		</sequenceList>
+	</extension>
 
-  <extension>
-    <name>Video Plugin</name>
-    <group>Java / Web</group>
-    <fileStem>video</fileStem>
-    <description>Greenstone video extension (Need more details)</description>
-    <sequenceList>
-      <step id="download" action="download" label="Download Extension">
-        <mainSource method="svn">http://svn.greenstone.org/gs2-extensions/video-and-audio/trunk/src</mainSource>
-      </step>
+	<extension>
+		<name>EKit HTML Editor</name>
+		<group>Java / Web</group>
+		<fileStem>ekit</fileStem>
+		<description>An HTML editor for GLI</description>
+		<sequenceList>
+			<step id="run" action="button" label="Run EKit" dependsOn="AUTOMATIC_DOWNLOAD">
+				<command>
+					<os name="default">java -jar ekit.jar</os>
+				</command>
+			</step>
 
-      <step id="install" action="button" label="Compile" dependsOn="download">
-        <command>
-          <os name="default">./CASCADE-MAKE.sh</os>
-          <os name="Windows">CASCADE-MAKE</os>
-        </command>
-      </step>
+			<step id="assoc" action="button" label="Setup EKit for GLI" dependsOn="AUTOMATIC_DOWNLOAD">
+				<command>
+					<os name="default">java -jar GLIAssociate.jar</os>
+				</command>
+			</step>
+		</sequenceList>
+	</extension>
 
-      <step id="uninstall" action="button" label="Uninstall" dependsOn="install" rollbackTo="install">
-        <command>
-          <os name="default"/>
-        </command>
-      </step>
-    </sequenceList>
-  </extension>
+	<extension>
+		<name>Video Plugin</name>
+		<group>Java / Web</group>
+		<fileStem>video</fileStem>
+		<description>Greenstone video extension (Need more details)</description>
+		<sequenceList>
+			<step id="download" action="download" label="Download Extension">
+				<mainSource method="svn">http://svn.greenstone.org/gs2-extensions/video-and-audio/trunk/src</mainSource>
+			</step>
+
+			<step id="install" action="button" label="Compile" dependsOn="download">
+				<command>
+					<os name="default">./CASCADE-MAKE.sh</os>
+					<os name="Windows">CASCADE-MAKE</os>
+				</command>
+			</step>
+
+			<step id="uninstall" action="button" label="Uninstall" dependsOn="install" rollbackTo="install">
+				<command>
+					<os name="default"/>
+				</command>
+			</step>
+		</sequenceList>
+	</extension>
+
+	<extension>
+		<name>PDF-Box Plugin</name>
+		<group>Java / Web</group>
+		<fileStem>pdf-box</fileStem>
+		<description>Greenstone PDF-Box extension. Used to help Greenstone build with later versions of the PDF format.</description>
+		<sequenceList>
+			<step id="download" action="download" label="Download Extension">
+				<mainSource method="svn">http://svn.greenstone.org/gs2-extensions/pdf-box/trunk/java</mainSource>
+			</step>
+		</sequenceList>
+	</extension>
 </extensionList>