Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/HASH0a87f402.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/HASH0a87f402.dir/doc.xml	(revision 27972)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/HASH0a87f402.dir/doc.xml	(revision 27974)
@@ -9,8 +9,8 @@
     <Metadata name="GENERATOR">wvWare/wvWare version 1.2.4</Metadata>
     <Metadata name="Title">Greenstone: A Comprehensive Open-Source</Metadata>
-    <Metadata name="URL">http://research/ak19/GS2bin_5July2013/collect/Associated-Files/tmp/1373003284/greenstone01.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/GS2bin_5July2013/collect/Associated-Files/tmp/1373003284/greenstone01.html</Metadata>
+    <Metadata name="URL">http://research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/greenstone01.html</Metadata>
+    <Metadata name="UTF8URL">http://research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/greenstone01.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/greenstone01.doc</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1373003284/greenstone01.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1375688669/greenstone01.html</Metadata>
     <Metadata name="OrigSource">greenstone01.html</Metadata>
     <Metadata name="Source">greenstone01.doc</Metadata>
@@ -27,4 +27,5 @@
     <Metadata name="dc.Creator">Stefan J. Boddie</Metadata>
     <Metadata name="dc.Creator">David Bainbridge</Metadata>
+    <Metadata name="dc.Title">Greenstone: A Comprehensive Open-Source Digital Library Software System</Metadata>
     <Metadata name="pdf.assoclink">&lt;a href=&quot;_httpprefix_/collect/[collection]/index/assoc/{Or}{[parent(Top):assocfilepath],[assocfilepath]}/greenstone01.pdf&quot;&gt;{If}{_iconpdf_,_iconpdf_,pdf}&lt;/a&gt;</Metadata>
     <Metadata name="equivDocLink">&lt;a href='_httpprefix_/collect/[collection]/index/assoc/[assocfilepath]/greenstone01.pdf'&gt;</Metadata>
@@ -32,10 +33,9 @@
     <Metadata name="/equivDocLink">&lt;/a&gt;</Metadata>
     <Metadata name="equivlink"> &lt;a href=&quot;_httpprefix_/collect/[collection]/index/assoc/{Or}{[parent(Top):assocfilepath],[assocfilepath]}/greenstone01.pdf&quot;&gt;{If}{_iconpdf_,_iconpdf_,pdf}&lt;/a&gt;</Metadata>
-    <Metadata name="dc.Title">Greenstone: A Comprehensive Open-Source Digital Library Software System</Metadata>
     <Metadata name="Identifier">HASH0a87f402e5d107f0d73a2a</Metadata>
-    <Metadata name="lastmodified">1372989977</Metadata>
-    <Metadata name="lastmodifieddate">20130705</Metadata>
-    <Metadata name="oailastmodified">1373003284</Metadata>
-    <Metadata name="oailastmodifieddate">20130705</Metadata>
+    <Metadata name="lastmodified">1375428528</Metadata>
+    <Metadata name="lastmodifieddate">20130802</Metadata>
+    <Metadata name="oailastmodified">1375688669</Metadata>
+    <Metadata name="oailastmodifieddate">20130805</Metadata>
     <Metadata name="assocfilepath">HASH0a87f402.dir</Metadata>
     <Metadata name="gsdlassocfile">greenstone010.png:image/png:</Metadata>
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/earliestDatestamp
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/earliestDatestamp	(revision 27972)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/earliestDatestamp	(revision 27974)
@@ -1,1 +1,1 @@
-1373003284
+1375688669
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/etc/collect.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/etc/collect.cfg	(revision 27972)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/etc/collect.cfg	(revision 27974)
@@ -27,5 +27,5 @@
 plugin	PDFPlugin
 plugin	RTFPlugin
-plugin	WordPlugin -associate_ext pdf -convert_to auto
+plugin	WordPlugin -convert_to auto -associate_ext pdf
 plugin	PostScriptPlugin
 plugin	PowerPointPlugin
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/index/build.cfg
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/index/build.cfg	(revision 27972)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/index/build.cfg	(revision 27974)
@@ -1,5 +1,5 @@
-builddate	1373003285
+builddate	1375688670
 buildtype	mgpp
-earliestdatestamp	1373003284
+earliestdatestamp	1375688669
 indexfieldmap	text->TX	dc.Title,ex.dc.Title,Title->TI
 indexfields	text	dc.Title,ex.dc.Title,Title
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/log/build_log.1375429026324.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/log/build_log.1375429026324.txt	(revision 27974)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/log/build_log.1375429026324.txt	(revision 27974)
@@ -0,0 +1,63 @@
+s
+Command: perl -S /research/ak19/GS2bin_1Aug2013/bin/script/full-import.pl -gli -language en -collectdir /research/ak19/GS2bin_1Aug2013/collect Associated-Files 
+import.pl> Detected -sortmeta. To effect the stipulated sorting by metadata (or OID) remember this option should be paired with either the '-reversesort' or '-sort' option to ArchivesInfPlugin.
+import.pl> AutoLoadConverters: PDFBox Extension to Greenstone detected for PDFPlugin
+import.pl> Removing current contents of the archives directory...
+import.pl> Removing contents of the collection "tmp" directory...
+import.pl> Global file scan checking directory: /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/import
+import.pl>   DirectoryPlugin: Associating /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/import/greenstone01.pdf with .doc version
+import.pl> MetadataXMLPlugin: processing metadata.xml
+import.pl> Converting greenstone01.doc to html format
+import.pl> calling cmd "/usr/bin/perl" -S gsConvert.pl -verbose 2 -errlog "/research/ak19/GS2bin_1Aug2013/collect/Associated-Files/tmp/1375429026/err.log" -output html "/research/ak19/GS2bin_1Aug2013/collect/Associated-Files/tmp/1375429026/greenstone01.doc"
+import.pl> HTMLPlugin processing /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/tmp/1375429026/greenstone01.html
+import.pl> BasePlugout::process couldn't copy the associated file /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/tmp/1375429026/wvSmall.gif to wvSmall.gif
+import.pl> BasePlugout::process couldn't copy the associated file /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/tmp/1375429026/vh40.gif to vh40.gif
+import.pl> *********************************************
+import.pl> Import complete
+import.pl> *********************************************
+import.pl> * 1 document was considered for processing
+import.pl> * 1 was processed and included in the collection
+import.pl> Command complete.
+import.pl> Extracting new metadata from archive files.
+import.pl> Archived metadata extraction complete.
+Command: perl -S /research/ak19/GS2bin_1Aug2013/bin/script/full-buildcol.pl -gli -language en -collectdir /research/ak19/GS2bin_1Aug2013/collect Associated-Files 
+buildcol.pl> AutoLoadConverters: PDFBox Extension to Greenstone detected for PDFPlugin
+buildcol.pl> *** creating the compressed text
+buildcol.pl>     collecting text statistics (mgpp_passes -T1)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Compressing text from text)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text: 112314
+buildcol.pl>     creating the compression dictionary
+buildcol.pl>     compressing the text (mgpp_passes -T2)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Compressing text from text)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text: 112314
+buildcol.pl> *** building index text;dc.Title,ex.dc.Title,Title; in subdirectory idx
+buildcol.pl>     creating index dictionary (mgpp_passes -I1)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Creating index text;dc.Title,ex.dc.Title,Title;)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text;dc.Title,ex.dc.Title,Title;: 41788
+buildcol.pl>     inverting the text (mgpp_passes -I2)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Creating index text;dc.Title,ex.dc.Title,Title;)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text;dc.Title,ex.dc.Title,Title;: 41788
+buildcol.pl>     create the weights file
+buildcol.pl>     creating 'on-disk' stemmed dictionary
+buildcol.pl>     creating stem indexes
+buildcol.pl> BuildDir: /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/building
+buildcol.pl> *** creating the info database and processing associated files
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_1Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> *** outputting information for classifier: CL1
+buildcol.pl> *** outputting information for classifier: oai
+buildcol.pl> *** creating auxiliary files 
+buildcol.pl> Copying rss-items.rdf file from archives to building (eventually to index)
+buildcol.pl> Command complete.
Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/log/build_log.1375688669070.txt
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/log/build_log.1375688669070.txt	(revision 27974)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/log/build_log.1375688669070.txt	(revision 27974)
@@ -0,0 +1,61 @@
+s
+Command: perl -S /research/ak19/GS2bin_5Aug2013/bin/script/full-import.pl -gli -language en -collectdir /research/ak19/GS2bin_5Aug2013/collect Associated-Files 
+import.pl> Detected -sortmeta. To effect the stipulated sorting by metadata (or OID) remember this option should be paired with either the '-reversesort' or '-sort' option to ArchivesInfPlugin.
+import.pl> Removing current contents of the archives directory...
+import.pl> Removing contents of the collection "tmp" directory...
+import.pl> Global file scan checking directory: /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/import
+import.pl>   DirectoryPlugin: Associating /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/import/greenstone01.pdf with .doc version
+import.pl> MetadataXMLPlugin: processing metadata.xml
+import.pl> Converting greenstone01.doc to html format
+import.pl> calling cmd "/usr/bin/perl" -S gsConvert.pl -verbose 2 -errlog "/research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/err.log" -output html "/research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/greenstone01.doc"
+import.pl> HTMLPlugin processing /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/greenstone01.html
+import.pl> BasePlugout::process couldn't copy the associated file /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/wvSmall.gif to wvSmall.gif
+import.pl> BasePlugout::process couldn't copy the associated file /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/tmp/1375688669/vh40.gif to vh40.gif
+import.pl> *********************************************
+import.pl> Import complete
+import.pl> *********************************************
+import.pl> * 1 document was considered for processing
+import.pl> * 1 was processed and included in the collection
+import.pl> Command complete.
+import.pl> Extracting new metadata from archive files.
+import.pl> Archived metadata extraction complete.
+Command: perl -S /research/ak19/GS2bin_5Aug2013/bin/script/full-buildcol.pl -gli -language en -collectdir /research/ak19/GS2bin_5Aug2013/collect Associated-Files 
+buildcol.pl> *** creating the compressed text
+buildcol.pl>     collecting text statistics (mgpp_passes -T1)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Compressing text from text)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text: 112314
+buildcol.pl>     creating the compression dictionary
+buildcol.pl>     compressing the text (mgpp_passes -T2)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Compressing text from text)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text: 112314
+buildcol.pl> *** building index text;dc.Title,ex.dc.Title,Title; in subdirectory idx
+buildcol.pl>     creating index dictionary (mgpp_passes -I1)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Creating index text;dc.Title,ex.dc.Title,Title;)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text;dc.Title,ex.dc.Title,Title;: 41788
+buildcol.pl>     inverting the text (mgpp_passes -I2)
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> Stats (Creating index text;dc.Title,ex.dc.Title,Title;)
+buildcol.pl> Total bytes in collection: 112313
+buildcol.pl> Total bytes in text;dc.Title,ex.dc.Title,Title;: 41788
+buildcol.pl>     create the weights file
+buildcol.pl>     creating 'on-disk' stemmed dictionary
+buildcol.pl>     creating stem indexes
+buildcol.pl> BuildDir: /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/building
+buildcol.pl> *** creating the info database and processing associated files
+buildcol.pl> ArchivesInfPlugin: processing /research/ak19/GS2bin_5Aug2013/collect/Associated-Files/archives/archiveinf-doc.gdb
+buildcol.pl> GreenstoneXMLPlugin: processing HASH0a87f402.dir/doc.xml
+buildcol.pl> *** outputting information for classifier: CL1
+buildcol.pl> *** outputting information for classifier: oai
+buildcol.pl> *** creating auxiliary files 
+buildcol.pl> Copying rss-items.rdf file from archives to building (eventually to index)
+buildcol.pl> Command complete.