Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Enhanced-PDF/archives/HASH1a9cea0f.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Enhanced-PDF/archives/HASH1a9cea0f.dir/doc.xml	(revision 27958)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/Enhanced-PDF/archives/HASH1a9cea0f.dir/doc.xml	(revision 27976)
@@ -7,9 +7,9 @@
     <Metadata name="Language">en</Metadata>
     <Metadata name="Encoding">utf8</Metadata>
-    <Metadata name="URL">http://research/ak19/GS2bin_1Aug2013/collect/Enhanced-PDF/tmp/1375336471/pdf01.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/GS2bin_1Aug2013/collect/Enhanced-PDF/tmp/1375336471/pdf01.html</Metadata>
+    <Metadata name="URL">http://research/ak19/GS2bin_5Aug2013/collect/Enhanced-PDF/tmp/1375690531/pdf01.html</Metadata>
+    <Metadata name="UTF8URL">http://research/ak19/GS2bin_5Aug2013/collect/Enhanced-PDF/tmp/1375690531/pdf01.html</Metadata>
     <Metadata name="Title">Greenstone: A Comprehensive Open-Source Digital Library Software System Ian H. Witten,* Rodger J....</Metadata>
     <Metadata name="gsdlsourcefilename">import/pdf01.pdf</Metadata>
-    <Metadata name="gsdlconvertedfilename">tmp/1375336471/pdf01.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">tmp/1375690531/pdf01.html</Metadata>
     <Metadata name="OrigSource">pdf01.html</Metadata>
     <Metadata name="Source">pdf01.pdf</Metadata>
@@ -24,24 +24,24 @@
     <Metadata name="NumPages">9</Metadata>
     <Metadata name="gsdlthistype">Paged</Metadata>
-    <Metadata name="ex.File.FileModifyDate">2013:08:01 17:46:54+12:00</Metadata>
-    <Metadata name="ex.PDF.Author">Bronwyn</Metadata>
-    <Metadata name="ex.PDF.PageCount">9</Metadata>
-    <Metadata name="ex.File.FileType">PDF</Metadata>
-    <Metadata name="ex.PDF.PDFVersion">1.2</Metadata>
-    <Metadata name="ex.PDF.Producer">Acrobat PDFWriter 4.0 for Power Macintosh</Metadata>
+    <Metadata name="ex.ExifTool.ExifToolVersion">8.57</Metadata>
+    <Metadata name="ex.File.Directory">/research/ak19/GS2bin_5Aug2013/collect/Enhanced-PDF/import</Metadata>
+    <Metadata name="ex.File.FileModifyDate">2013:08:05 20:14:39+12:00</Metadata>
     <Metadata name="ex.File.FileName">pdf01.pdf</Metadata>
     <Metadata name="ex.File.FilePermissions">644</Metadata>
+    <Metadata name="ex.File.FileSize">269487</Metadata>
+    <Metadata name="ex.File.FileType">PDF</Metadata>
+    <Metadata name="ex.File.MIMEType">application/pdf</Metadata>
+    <Metadata name="ex.PDF.Author">Bronwyn</Metadata>
     <Metadata name="ex.PDF.CreateDate">2000:03:02 15:21:24</Metadata>
+    <Metadata name="ex.PDF.Creator">Microsoft Word</Metadata>
     <Metadata name="ex.PDF.Linearized">false</Metadata>
-    <Metadata name="ex.File.Directory">/research/ak19/GS2bin_1Aug2013/collect/Enhanced-PDF/import</Metadata>
-    <Metadata name="ex.PDF.Creator">Microsoft Word</Metadata>
-    <Metadata name="ex.File.FileSize">269487</Metadata>
-    <Metadata name="ex.ExifTool.ExifToolVersion">8.57</Metadata>
-    <Metadata name="ex.File.MIMEType">application/pdf</Metadata>
+    <Metadata name="ex.PDF.PDFVersion">1.2</Metadata>
+    <Metadata name="ex.PDF.PageCount">9</Metadata>
+    <Metadata name="ex.PDF.Producer">Acrobat PDFWriter 4.0 for Power Macintosh</Metadata>
     <Metadata name="Identifier">HASH1a9cea0f239f754007681b</Metadata>
-    <Metadata name="lastmodified">1375336014</Metadata>
-    <Metadata name="lastmodifieddate">20130801</Metadata>
-    <Metadata name="oailastmodified">1375336471</Metadata>
-    <Metadata name="oailastmodifieddate">20130801</Metadata>
+    <Metadata name="lastmodified">1375690479</Metadata>
+    <Metadata name="lastmodifieddate">20130805</Metadata>
+    <Metadata name="oailastmodified">1375690532</Metadata>
+    <Metadata name="oailastmodifieddate">20130805</Metadata>
     <Metadata name="assocfilepath">HASH1a9cea0f.dir</Metadata>
     <Metadata name="gsdlassocfile">pdf01-2_1.jpg:image/jpeg:</Metadata>