Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/PDFBox/archives/HASHccc7f4b2.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/PDFBox/archives/HASHccc7f4b2.dir/doc.xml	(revision 27956)
+++ other-projects/nightly-tasks/diffcol/trunk/model-collect/PDFBox/archives/HASHccc7f4b2.dir/doc.xml	(revision 27977)
@@ -8,9 +8,9 @@
     <Metadata name="Encoding">utf8</Metadata>
     <Metadata name="Title">untitled</Metadata>
-    <Metadata name="URL">http://research/ak19/GS2bin_1Aug2013/tmp/F906.html</Metadata>
-    <Metadata name="UTF8URL">http://research/ak19/GS2bin_1Aug2013/tmp/F906.html</Metadata>
+    <Metadata name="URL">http://research/ak19/GS2bin_5Aug2013/tmp/F629.html</Metadata>
+    <Metadata name="UTF8URL">http://research/ak19/GS2bin_5Aug2013/tmp/F629.html</Metadata>
     <Metadata name="gsdlsourcefilename">import/A9-access-best-practices.pdf</Metadata>
-    <Metadata name="gsdlconvertedfilename">/research/ak19/GS2bin_1Aug2013/tmp/F906.html</Metadata>
-    <Metadata name="OrigSource">F906.html</Metadata>
+    <Metadata name="gsdlconvertedfilename">/research/ak19/GS2bin_5Aug2013/tmp/F629.html</Metadata>
+    <Metadata name="OrigSource">F629.html</Metadata>
     <Metadata name="Source">A9-access-best-practices.pdf</Metadata>
     <Metadata name="SourceFile">A9-access-best-practices.pdf</Metadata>
@@ -23,41 +23,41 @@
     <Metadata name="srclinkFile">doc.pdf</Metadata>
     <Metadata name="NumPages">72</Metadata>
-    <Metadata name="ex.XMP.ModifyDate">2009:02:27 12:37:43-05:00</Metadata>
-    <Metadata name="ex.XMP.Format">application/pdf</Metadata>
-    <Metadata name="ex.XMP.MetadataDate">2009:02:27 12:37:43-05:00</Metadata>
-    <Metadata name="ex.PDF.Producer">Acrobat Distiller 9.0.0 &amp;#40;Windows&amp;#41;</Metadata>
+    <Metadata name="dc.Creator">Adobe</Metadata>
+    <Metadata name="dc.Source">www.adobe.com/content/dam/Adobe/en/accessibility/products/acrobat/pdfs/A9-access-best-practices.pdfâ</Metadata>
+    <Metadata name="dc.Title">Best Practices for Accessibility</Metadata>
+    <Metadata name="ex.ExifTool.ExifToolVersion">8.57</Metadata>
+    <Metadata name="ex.File.Directory">/research/ak19/GS2bin_5Aug2013/collect/PDFBox/import</Metadata>
+    <Metadata name="ex.File.FileModifyDate">2013:08:01 16:26:44+12:00</Metadata>
+    <Metadata name="ex.File.FileName">A9-access-best-practices.pdf</Metadata>
     <Metadata name="ex.File.FilePermissions">644</Metadata>
-    <Metadata name="ex.File.Directory">/research/ak19/GS2bin_1Aug2013/collect/PDFBox/import</Metadata>
+    <Metadata name="ex.File.FileSize">1329651</Metadata>
+    <Metadata name="ex.File.FileType">PDF</Metadata>
+    <Metadata name="ex.File.MIMEType">application/pdf</Metadata>
+    <Metadata name="ex.PDF.CreateDate">2009:02:17 22:33:44Z</Metadata>
     <Metadata name="ex.PDF.Creator">FrameMaker 9.0</Metadata>
-    <Metadata name="ex.File.FileModifyDate">2013:08:01 16:26:44+12:00</Metadata>
-    <Metadata name="ex.File.FileType">PDF</Metadata>
-    <Metadata name="ex.PDF.TaggedPDF">true</Metadata>
+    <Metadata name="ex.PDF.Language">en</Metadata>
     <Metadata name="ex.PDF.Linearized">true</Metadata>
-    <Metadata name="ex.PDF.CreateDate">2009:02:17 22:33:44Z</Metadata>
-    <Metadata name="ex.PDF.Title">untitled</Metadata>
-    <Metadata name="ex.XMP.Title">untitled</Metadata>
     <Metadata name="ex.PDF.ModifyDate">2009:02:27 12:37:43-05:00</Metadata>
     <Metadata name="ex.PDF.PDFVersion">1.7</Metadata>
+    <Metadata name="ex.PDF.PageCount">72</Metadata>
+    <Metadata name="ex.PDF.PageMode">UseOutlines</Metadata>
+    <Metadata name="ex.PDF.Producer">Acrobat Distiller 9.0.0 &amp;#40;Windows&amp;#41;</Metadata>
+    <Metadata name="ex.PDF.TaggedPDF">true</Metadata>
+    <Metadata name="ex.PDF.Title">untitled</Metadata>
+    <Metadata name="ex.XMP.CreateDate">2009:02:17 22:33:44Z</Metadata>
+    <Metadata name="ex.XMP.CreatorTool">FrameMaker 9.0</Metadata>
+    <Metadata name="ex.XMP.DocumentID">uuid:e09b572c-54b4-4dc6-9177-9daf38f3f1f7</Metadata>
+    <Metadata name="ex.XMP.Format">application/pdf</Metadata>
     <Metadata name="ex.XMP.InstanceID">uuid:a355fe85-9ac6-433b-98c8-783bae38f4ed</Metadata>
-    <Metadata name="ex.File.FileName">A9-access-best-practices.pdf</Metadata>
-    <Metadata name="dc.Title">Best Practices for Accessibility</Metadata>
-    <Metadata name="ex.PDF.Language">en</Metadata>
-    <Metadata name="ex.File.FileSize">1329651</Metadata>
+    <Metadata name="ex.XMP.MetadataDate">2009:02:27 12:37:43-05:00</Metadata>
+    <Metadata name="ex.XMP.ModifyDate">2009:02:27 12:37:43-05:00</Metadata>
+    <Metadata name="ex.XMP.Producer">Acrobat Distiller 9.0.0 &amp;#40;Windows&amp;#41;</Metadata>
+    <Metadata name="ex.XMP.Title">untitled</Metadata>
     <Metadata name="ex.XMP.XMPToolkit">Adobe XMP Core 4.2.1-c041 52.342996&amp;#44; 2008/05/07-20:48:00</Metadata>
-    <Metadata name="dc.Source">www.adobe.com/content/dam/Adobe/en/accessibility/products/acrobat/pdfs/A9-access-best-practices.pdfâ</Metadata>
-    <Metadata name="dc.Creator">Adobe</Metadata>
-    <Metadata name="ex.PDF.PageCount">72</Metadata>
-    <Metadata name="ex.XMP.Producer">Acrobat Distiller 9.0.0 &amp;#40;Windows&amp;#41;</Metadata>
-    <Metadata name="ex.XMP.DocumentID">uuid:e09b572c-54b4-4dc6-9177-9daf38f3f1f7</Metadata>
-    <Metadata name="ex.XMP.CreateDate">2009:02:17 22:33:44Z</Metadata>
-    <Metadata name="ex.ExifTool.ExifToolVersion">8.57</Metadata>
-    <Metadata name="ex.File.MIMEType">application/pdf</Metadata>
-    <Metadata name="ex.XMP.CreatorTool">FrameMaker 9.0</Metadata>
-    <Metadata name="ex.PDF.PageMode">UseOutlines</Metadata>
     <Metadata name="Identifier">HASHccc7f4b2749b7bf1174ade</Metadata>
     <Metadata name="lastmodified">1375331204</Metadata>
     <Metadata name="lastmodifieddate">20130801</Metadata>
-    <Metadata name="oailastmodified">1375331282</Metadata>
-    <Metadata name="oailastmodifieddate">20130801</Metadata>
+    <Metadata name="oailastmodified">1375689060</Metadata>
+    <Metadata name="oailastmodifieddate">20130805</Metadata>
     <Metadata name="assocfilepath">HASHccc7f4b2.dir</Metadata>
     <Metadata name="gsdlassocfile">doc.pdf:application/pdf:</Metadata>